Subject: bug#1437: 23.0.60; ido-mode unresponsive once new filename typed

From: Klymak Jody <[email-masked]>
Date: Fri, 28 Nov 2008 17:14:53 -0800

On Nov 28, 2008, at  16:44 PM, Adrian Robert wrote:

>
> On Nov 28, 2008, at 4:14 PM, Klymak Jody wrote:
>
>>
>> On Nov 27, 2008, at  8:10 AM, Chong Yidong wrote:
>>
>>>> I am using ido-mode, the following works fine on previous emacsen.
>>>>
>>>> If I try and open a file in a directory that does not exist, ido  
>>>> hangs
>>>> with a "Searching for 'newfile'..."  I have to "Force Quit" emacs.
>>>> Old Emacsen would allow me to keep typing or create a new file by
>>>> hitting return.
>>>
>>> I can't reproduce this on GNU/Linux.  It could be a nextstep-only  
>>> bug.
>>> Could you provide an exact recipe, starting with `emacs -Q'?
>>
>> /Applications/Emacs23.app/Contents/MacOS/Emacs -Q
>> eval: (require 'ido) (ido-mode t)
>> C-x C-f newfi
>
> Can't replicate this by starting the Emacs -Q from the emacs src  
> directory, setting ido-mode, and then trying "C-x C-f newdir/foo  
> <Ret>".  Is there anything unusual about which dir you sit in when  
> executing the emacs command, or what type of dir or filename you  
> have to type in?  Do you have any NFS or other network mounts?

OK, I removed .ido.last and the problem seems to have gone away.   
Perhaps some sort of incompatibility between the two?

I did not have any network drives mounted.

Sorry if this was a config error that I should have figured out on my  
own.

Cheers,  Jody

--
Jody Klymak
http://web.uvic.ca/~jklymak/